﻿namespace UltraTabbedMdiManagerDockTabs
{
    using System;
    using System.Windows.Forms;

    public partial class MainForm : Form
    {
        public MainForm()
        {
            this.InitializeComponent();
            this.Load += MainForm_Load;
        }

        private void MainForm_Load(object sender, EventArgs e)
        {
            this.IsMdiContainer = true;

            var leftForm = new ChildForm();
            leftForm.Text = "Left Form";
            leftForm.MdiParent = this;
            leftForm.Show();

            var rightForm = new ChildForm();
            rightForm.Text = "Right Form";
            rightForm.MdiParent = this;
            rightForm.Show();

            this.ultraTabbedMdiManager1.Orientation = Orientation.Vertical;
            var rightTab = this.ultraTabbedMdiManager1.TabFromForm(rightForm);
            this.ultraTabbedMdiManager1.MoveToNewGroup(rightTab);

            this.ultraTabbedMdiManager1.TabSettings.AllowDrag = Infragistics.Win.UltraWinTabbedMdi.MdiTabDragStyle.None;
        }
    }
}
